#ifndef JOB_H
#define JOB_H

#include <QString>
#include <QDateTime>
#include <cups/ipp.h>
#include "fly-admin-printer_export.h"

namespace Cups {

struct FLY_ADMIN_PRINTER_EXPORT Job
{
    int id = 0;
    QString dest;
    QString title;
    QString user;
    QString format;
    QString holdUntil;
    ipp_jstate_t state;
    int size = 0;
    int priority = 50;
    QDateTime completedTime;
    QDateTime creationTime;
    QDateTime processingTime;
    bool markingRequired = false;
};

}

#endif // JOB_H
