#ifndef PASSWORD_CB_SETTER_H
#define PASSWORD_CB_SETTER_H

#include <cups/cups.h>
#include "fly-admin-printer_export.h"

class FLY_ADMIN_PRINTER_EXPORT PasswordCBSetter
{

public:
    PasswordCBSetter();
    ~PasswordCBSetter();
    static bool isAccepted();
    static bool isShowed();
    static void handleAuthError();
    static bool authInProgress();

private:
    static const char *passwordCallback(const char *prompt, http_t *http, const char *method, const char *resource, void *user_data);
    static int m_dialogResult;
    static bool m_authInProgress;
    //QString curUser;
};

#endif
